# SPDX-License-Identifier: GPL-2.0+
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun9i-a80-usb-clocks.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A80 USB Clock Controller Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

properties:
  "#clock-cells":
    const: 1

  "#reset-cells":
    const: 1

  compatible:
    const: allwinner,sun9i-a80-usb-clocks

  reg:
    maxItems: 1

  clocks:
    items:
      - description: Bus Clock
      - description: High Frequency Oscillator

  clock-names:
    items:
      - const: bus
      - const: hosc

required:
  - "#clock-cells"
  - "#reset-cells"
  - compatible
  - reg
  - clocks
  - clock-names

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/sun9i-a80-ccu.h>

    usb_clocks: clock@a08000 {
        compatible = "allwinner,sun9i-a80-usb-clks";
        reg = <0x00a08000 0x8>;
        clocks = <&ccu CLK_BUS_USB>, <&osc24M>;
        clock-names = "bus", "hosc";
        #clock-cells = <1>;
        #reset-cells = <1>;
    };

...
